Skip to navigation

Get credit card information

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Response

Successful response.
addressobjectOptional
Contains address information.
cardNumberstringOptional
The number on the credit card.
cardTypestringOptional

The credit card type. Valid values are: visa, mastercard, or amex.

expirationMonthstringOptional

The month that the credit card expires (1-12).

expirationYearstringOptional
The year 4 digit year in which the credit card expires.
nameOnCardstringOptional
The exact name printed on the credit card.

Errors

400
Bad Request Error